import request from "@/utils/request";

// 查询公告列表
export function listNotice(query) {
  return request({
    url: "/system/notice/list",
    method: "get",
    params: query,
  });
}

// 查询公告详细
export function getNotice(noticeId) {
  return request({
    url: "/system/notice/" + noticeId,
    method: "get",
  });
}

// 新增公告
export function addNotice(data) {
  return request({
    url: "/system/notice",
    method: "post",
    data: data,
  });
}

// 修改公告
export function updateNotice(data) {
  return request({
    url: "/system/notice",
    method: "put",
    data: data,
  });
}

// 删除公告
export function delNotice(noticeId) {
  return request({
    url: "/system/notice/" + noticeId,
    method: "delete",
  });
}
//未读消息
export function getCurrUserUnReadNotice() {
  return request({
    url: "/system/notice/getCurrUserUnReadNotice",
    method: "get",
  });
}
// 关闭sse
export function closeSSE() {
  return request({
    url: "/sse/close",
    method: "post",
  });
}

// 一键已读
export function readAllNotice() {
  return request({
    url: "/system/notice/toReadAll",
    method: "post",
  });
}
//所有未读消息
export function currUserUnReadList() {
  return request({
    url: "/system/notice/currUserUnReadList",
    method: "get",
  });
}
